Bug 972396 - TCPDUMP "INVALID ADAPTER INDEX" ON INTERFACE WHICH NAME STARTS AS NUMBER
TCPDUMP "INVALID ADAPTER INDEX" ON INTERFACE WHICH NAME STARTS AS NUMBER
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tcpdump (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Michal Sekletar
BaseOS QE Security Team
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 02:50 EDT by Luan Jianhai
Modified: 2015-07-22 02:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: tcpdump-4.0.0-5.20090921gitdf3cb4.2.el6
Doc Type: Bug Fix
Doc Text:
Cause: tcpdump was treating argument for -i option as a number if it had numeric prefix. Consequence: Packet capturing wasn't started at all on specified interface or it could get started on wrong interface. Fix: Treat the argument to -i options as a number if it's *all* number. Thus interface names such as 192_1_2 aren't treated as interface number 192. Result: tcpdump should start correctly on specified interface even if interface name has numeric prefix.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-22 02:19:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for the issue. (1.48 KB, patch)
2013-06-12 20:24 EDT, Luan Jianhai
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1294 normal SHIPPED_LIVE tcpdump bug fix and enhancement update 2015-07-20 13:54:04 EDT

  None (edit)
Description Luan Jianhai 2013-06-09 02:50:10 EDT
Description of problem:
 tcpdump on interface which name starts as number.

 # tcpdump -n -i 102a9f7e2f -c 100 stp
 tcpdump: Invalid adapter index

Version-Release number of selected component (if applicable):
  4.0.0-3.20090921gitdf3cb4

How reproducible:
 Run tcpdump on interface which name starts as number. 
 For example: # tcpdump -n -i 102a9f7e2f -c 100 stp

Steps to Reproduce:
1.
2.
3.

Actual results:
 tcpdump: Invalid adapter index

Expected results:


Additional info:
Comment 2 Luan Jianhai 2013-06-12 20:24:01 EDT
Created attachment 760367 [details]
Patch for the issue.
Comment 3 Michal Sekletar 2013-07-31 09:18:11 EDT
Thanks for the report and attached patch.
Comment 4 RHEL Product and Program Management 2013-10-13 19:29:54 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 5 Guy Harris 2014-01-07 16:17:06 EST
tcpdump 4.3 and later use strtol() in that fashion; what version of tcpdump is in RHEL 6?  Is this bug really requesting that the change made in tcpdump 4.3 be backported to an older version of tcpdump?
Comment 6 Michal Sekletar 2014-01-09 10:05:15 EST
If everything goes as planned then tcpdump will be rebased in next version of RHEL and this bug should be fixed by rebase. Anyway, Guy thank you very much for taking the time to look at this, very appreciated.
Comment 12 errata-xmlrpc 2015-07-22 02:19:57 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1294.html

Note You need to log in before you can comment on or make changes to this bug.